# Class: GMP

## GMP

aaa

## Constructor

#### new GMP(optionsopt)

The exposed GMP constructor.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`options` | Object | <optional> |

Author:
  - zeromike
Source:
  - gmp.js, line 30

##### Example

    new GMP({
     data: '123',
     methods: {
         login: function () {

         }
     }
    })

### Methods

#### _init(options)

The main init sequence. This is called for every instance, including ones that are created from extended constructors.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | this options object should be the result of merging class options and the options passed in to the constructor.

Source:
  - internal/init.js, line 17

#### _initEvents()

Setup the instance's option events. If the value is a string, we pull it from the instance's methods by name.

Source:
  - internal/events.js, line 11

#### _initState()

Setup the scope of an instance, which contains:

- observed data

Source:
  - internal/state.js, line 10